diff --git a/conf/app_name.cfg b/conf/app_name.cfg
index 01c4971b..5d3244da 100644
--- a/conf/app_name.cfg
+++ b/conf/app_name.cfg
@@ -1,5 +1,5 @@
 # app path configuration
-# [meson/makefile] : the build type
+# [meson] : the build type
 # app_name=app_path #about the app_path, you can use 'target' instead of build target in the path
 # eg: if the testpmd app_path is: x86_64-native-linuxapp-gcc/app/testpmd,
 #     you can use string 'target' instead of 'x86_64-native-linuxapp-gcc'
@@ -68,61 +68,4 @@ node=target/examples/dpdk-efd_node
 server=target/examples/dpdk-efd_server
 testpmd_vf=target/app/dpdk-testpmd-vf
 vm_power_manager=target/examples/dpdk-vm_power_manager
-guest_cli=target/examples/dpdk-guest_cli
-[makefile]
-pdump=target/app/dpdk-pdump
-proc-info=target/app/dpdk-procinfo
-test=target/app/test
-test-acl=target/app/testacl
-test-bbdev=target/app/testbbdev
-test-cmdline=target/app/cmdline_test
-test-compress-perf=target/app/dpdk-test-compress-perf
-test-crypto-perf=target/app/dpdk-test-crypto-perf
-test-eventdev=target/app/dpdk-test-eventdev
-test-pipeline=target/app/testpipeline
-test-pmd=target/app/testpmd
-test-sad=target/app/testsad
-ethtool=examples/ethtool/ethtool-app/ethtool
-eventdev_pipeline=examples/eventdev_pipeline/build/app/eventdev_pipeline
-fips_validation=examples/fips_validation/build/app/fips_validation
-flow_classify=examples/flow_classify/build/app/flow_classify
-flow_filtering=examples/flow_filtering/build/app/flow
-helloworld=examples/helloworld/build/app/helloworld
-ioat=examples/ioat/build/app/ioatfwd
-ip_fragmentation=examples/ip_fragmentation/build/app/ip_fragmentation
-ip_pipeline=examples/ip_pipeline/build/app/ip_pipeline
-ip_reassembly=examples/ip_reassembly/build/app/ip_reassembly
-ipsec-secgw=examples/ipsec-secgw/build/app/ipsec-secgw
-ipv4_multicast=examples/ipv4_multicast/build/app/ipv4_multicast
-kni=examples/kni/build/app/kni
-l2fwd=examples/l2fwd/build/app/l2fwd
-l2fwd-crypto=examples/l2fwd-crypto/build/app/l2fwd-crypto
-l2fwd-event=examples/l2fwd-event/build/app/l2fwd-event
-l2fwd-jobstats=examples/l2fwd-jobstats/build/app/l2fwd-jobstats
-l2fwd-keepalive=examples/l2fwd-keepalive/build/app/l2fwd-keepalive
-l3fwd=examples/l3fwd/build/app/l3fwd
-l3fwd-acl=examples/l3fwd-acl/build/app/l3fwd-acl
-l3fwd-power=examples/l3fwd-power/build/app/l3fwd-power
-link_status_interrupt=examples/link_status_interrupt/build/app/link_status_interrupt
-ntb=examples/ntb/build/app/ntb_fwd
-packet_ordering=examples/packet_ordering/build/app/packet_ordering
-pipeline=examples/pipeline/build/app/pipeline
-ptpclient=examples/ptpclient/build/app/ptpclient
-qos_meter=examples/qos_meter/build/app/qos_meter
-qos_sched=examples/qos_sched/build/app/qos_sched
-rxtx_callbacks=examples/rxtx_callbacks/build/app/rxtx_callbacks
-service_cores=examples/service_cores/build/app/service_cores
-skeleton=examples/skeleto/build/app/basicfwd
-tep_termination=examples/tep_termination/build/app/tep_termination
-timer=examples/timer/build/app/timer
-vdpa=examples/vdpa/build/app/vdpa
-vhost=examples/vhost/build/app/vhost-switch
-vhost_blk=examples/vhost_blk/build/app/vhost-blk
-vhost_crypto=examples/vhost_crypto/build/app/vhost-crypto
-vmdq=examples/vmdq/build/app/vmdq_app
-vmdq_dcb=examples/vmdq_dcb/build/app/vmdq_dcb_app
-mp_client=examples/multi_process/client_server_mp/mp_client/build/app/mp_client
-hotplug_mp=examples/multi_process/hotplug_mp/build/app/hotplug_mp
-mp_server=examples/multi_process/client_server_mp/mp_server/build/app/mp_server
-simple_mp=examples/multi_process/simple_mp/build/app/simple_mp
-symmetric_mp=examples/multi_process/symmetric_mp/build/app/symmetric_mp
+guest_cli=target/examples/dpdk-guest_cli
\ No newline at end of file
diff --git a/executions/execution.cfg b/executions/execution.cfg
index f572074f..73ff0be2 100644
--- a/executions/execution.cfg
+++ b/executions/execution.cfg
@@ -2,7 +2,7 @@
 crbs=<CRB IP Address>
 #using igb_uio please refer to doc/dts_gsg/support_igb_uio.rst
 drivername=<driver name igb_uio or vfio-pci or mlx5_core or uio_pci_generic>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     cmdline,
     hello_world,
@@ -37,7 +37,7 @@ parameters=nic_type=cfg:func=true
 [Execution2]
 crbs=<Performance CRB IP Address>
 drivername=<driver name igb_uio or vfio-pci>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     l2fwd,
     l3fwd,
diff --git a/executions/execution_FVL.cfg b/executions/execution_FVL.cfg
index b1cc02d1..8a71bbea 100644
--- a/executions/execution_FVL.cfg
+++ b/executions/execution_FVL.cfg
@@ -2,7 +2,7 @@
 crbs=<CRB IP Address>
 #using igb_uio please refer to doc/dts_gsg/support_igb_uio.rst
 drivername=<driver name igb_uio or vfio-pci or mlx5_core or uio_pci_generic>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     checksum_offload,
     dynamic_config,
@@ -38,7 +38,7 @@ parameters=nic_type=cfg:func=true
 [Execution2]
 crbs=<Performance CRB IP Address>
 drivername=<driver name igb_uio or vfio-pci>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     l2fwd,
     l3fwd,
diff --git a/executions/execution_fm10k.cfg b/executions/execution_fm10k.cfg
index 414e7131..b535d78f 100644
--- a/executions/execution_fm10k.cfg
+++ b/executions/execution_fm10k.cfg
@@ -2,7 +2,7 @@
 crbs=<CRB IP Address>
 #using igb_uio please refer to doc/dts_gsg/support_igb_uio.rst
 drivername=<driver name igb_uio or vfio-pci or uio_pci_generic>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     checksum_offload,
     vlan,
@@ -21,7 +21,7 @@ parameters=nic_type=cfg:func=true
 [Execution2]
 crbs=<Performance CRB IP Address>
 drivername=<driver name igb_uio or vfio-pci>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     l3fwd,
 targets=
diff --git a/executions/execution_rxmode.cfg b/executions/execution_rxmode.cfg
index d8feb535..041755e2 100644
--- a/executions/execution_rxmode.cfg
+++ b/executions/execution_rxmode.cfg
@@ -3,7 +3,7 @@ crbs=<CRB IP Address>
 #using igb_uio please refer to doc/dts_gsg/support_igb_uio.rst
 drivername=igb_uio
 rx_mode=scalar
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     fdir,
     jumboframes,
@@ -25,7 +25,7 @@ parameters=nic_type=cfg:func=true
 crbs=<CRB IP Address>
 drivername=igb_uio
 rx_mode=full
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     fdir,
     jumboframes,
@@ -47,7 +47,7 @@ parameters=nic_type=cfg:func=true
 crbs=<CRB IP Address>
 drivername=igb_uio
 rx_mode=vector
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     fdir,
     jumboframes,
diff --git a/executions/execution_smoke.cfg b/executions/execution_smoke.cfg
index 1568d40e..6f35578d 100644
--- a/executions/execution_smoke.cfg
+++ b/executions/execution_smoke.cfg
@@ -2,7 +2,7 @@
 crbs=<CRB IP Address>
 #using igb_uio please refer to doc/dts_gsg/support_igb_uio.rst
 drivername=<driver name igb_uio or vfio-pci or mlx5_core or uio_pci_generic>
-build_type=<makefile or meson>
+build_type=<meson>
 test_suites=
     unit_tests_cmdline,
     unit_tests_eal,