diff --git a/conf/l3fwd.cfg b/conf/l3fwd.cfg
index 66274d8c..62cd6814 100644
--- a/conf/l3fwd.cfg
+++ b/conf/l3fwd.cfg
@@ -56,11 +56,15 @@
 
 [suite]
 update_expected = True
-
-port_list=None
+compile_rx_desc = 16
+port_list = None
 rxtx_queue_size = None
 test_duration = 12
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/l3fwd_em.cfg b/conf/l3fwd_em.cfg
index cc236370..e9ea322c 100644
--- a/conf/l3fwd_em.cfg
+++ b/conf/l3fwd_em.cfg
@@ -53,10 +53,14 @@
 
 [suite]
 update_expected = True
-
+compile_rx_desc = 16
 rxtx_queue_size = None
 test_duration = 12
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/l3fwd_lpm_ipv4.cfg b/conf/l3fwd_lpm_ipv4.cfg
index fd8cb95b..53e30928 100644
--- a/conf/l3fwd_lpm_ipv4.cfg
+++ b/conf/l3fwd_lpm_ipv4.cfg
@@ -53,20 +53,24 @@
 
 [suite]
 update_expected = True
-
+compile_rx_desc = 16
 rxtx_queue_size = None
 test_duration = 60
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
-    '1C/1T/1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
-    '1C/2T/2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
-    '2C/2T/2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
-    '2C/4T/4Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
-    '4C/4T/4Q': ['64', '128', '256', '512', '1024', '1280', '1518',],}
+    '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
+    '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
+    '2C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
+    '2C/4T-4Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
+    '4C/4T-4Q': ['64', '128', '256', '512', '1024', '1280', '1518',],}
 expected_throughput = {
     'test_perf_throughput_ipv4_lpm': {
         'IXGBE_10G-82599_SFP': {
-            '1C/1T/1Q': {
+            '1C/1T-1Q': {
                  '64': '0.00',
                  '128': '0.00',
                  '256': '0.00',
@@ -74,7 +78,7 @@ expected_throughput = {
                  '1024': '0.00',
                  '1280': '0.00',
                  '1518': '0.00', },
-            '1C/2T/2Q': {
+            '1C/2T-2Q': {
                  '64': '0.00',
                  '128': '0.00',
                  '256': '0.00',
@@ -82,7 +86,7 @@ expected_throughput = {
                  '1024': '0.00',
                  '1280': '0.00',
                  '1518': '0.00', },
-            '2C/2T/2Q': {
+            '2C/2T-2Q': {
                  '64': '0.00',
                  '128': '0.00',
                  '256': '0.00',
@@ -90,7 +94,7 @@ expected_throughput = {
                  '1024': '0.00',
                  '1280': '0.00',
                  '1518': '0.00', },
-            '2C/4T/4Q': {
+            '2C/4T-4Q': {
                  '64': '0.00',
                  '128': '0.00',
                  '256': '0.00',
@@ -98,7 +102,7 @@ expected_throughput = {
                  '1024': '0.00',
                  '1280': '0.00',
                  '1518': '0.00', },
-            '4C/4T/4Q': {
+            '4C/4T-4Q': {
                  '64': '0.00',
                  '128': '0.00',
                  '256': '0.00',
diff --git a/conf/l3fwd_lpm_ipv4_rfc2544.cfg b/conf/l3fwd_lpm_ipv4_rfc2544.cfg
index 4c1ee00e..8039f8ed 100644
--- a/conf/l3fwd_lpm_ipv4_rfc2544.cfg
+++ b/conf/l3fwd_lpm_ipv4_rfc2544.cfg
@@ -53,10 +53,14 @@
 
 [suite]
 update_expected = True
-
+compile_rx_desc = 16
 rxtx_queue_size = None
-test_duration = 60
+test_duration = 20
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/l3fwd_lpm_ipv6.cfg b/conf/l3fwd_lpm_ipv6.cfg
index 103a5104..13c9a298 100644
--- a/conf/l3fwd_lpm_ipv6.cfg
+++ b/conf/l3fwd_lpm_ipv6.cfg
@@ -53,10 +53,14 @@
 
 [suite]
 update_expected = True
-
+compile_rx_desc = 16
 rxtx_queue_size = None
 test_duration = 60
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/testpmd_perf.cfg b/conf/testpmd_perf.cfg
index dc558435..e974fc84 100644
--- a/conf/testpmd_perf.cfg
+++ b/conf/testpmd_perf.cfg
@@ -6,12 +6,6 @@
 #     e.g.
 #         compile_rx_desc=16
 #
-# - compile_avx
-#     compile switch flag CONFIG_RTE_ENABLE_<XXXX>, support 'AVX512' or 'AVX2'
-#
-#     e.g.
-#         compile_avx='AVX512' or 'AVX2'
-#
 # - forwarding_mode
 #     testpmd set the packet forwarding mode, support 'io'/'mac'
 #
@@ -83,19 +77,20 @@
 #
 
 [suite]
-# compile_rx_desc=16
-# compile_avx='AVX512' or 'AVX2'
+update_expected = True
+compile_rx_desc = 16
 # 'io', 'mac'
 forwarding_mode = 'io'
 descriptor_numbers = {
     'txd': 2048,
     'rxd': 2048, }
-
 # port_list=None
-cores_for_all=True
 test_duration = 60
+bin_ps_wait_up = 2
+traffic_stop_wait_time = 2
 accepted_tolerance = 1
-
+bin_ps_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/vf_l3fwd_em_kernelpf.cfg b/conf/vf_l3fwd_em_kernelpf.cfg
index 95e228cd..ef5aa460 100644
--- a/conf/vf_l3fwd_em_kernelpf.cfg
+++ b/conf/vf_l3fwd_em_kernelpf.cfg
@@ -4,10 +4,14 @@
 #
 
 [suite]
+update_expected = True
 test_duration = 60
 accepted_tolerance = '1%%'
 rxtx_queue_size = None
-
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/vf_l3fwd_kernelpf.cfg b/conf/vf_l3fwd_kernelpf.cfg
index 5b831f0a..ca590272 100644
--- a/conf/vf_l3fwd_kernelpf.cfg
+++ b/conf/vf_l3fwd_kernelpf.cfg
@@ -52,9 +52,14 @@
 # tests as usual.
 
 [suite]
+update_expected = True
 test_duration = 60
 accepted_tolerance = '1%%'
 rxtx_queue_size = None
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
+l3fwd_restart = False
+cores_for_all = True
 
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/vf_l3fwd_lpm_ipv4_kernelpf.cfg b/conf/vf_l3fwd_lpm_ipv4_kernelpf.cfg
index 6dcd07a2..1be258ca 100644
--- a/conf/vf_l3fwd_lpm_ipv4_kernelpf.cfg
+++ b/conf/vf_l3fwd_lpm_ipv4_kernelpf.cfg
@@ -4,10 +4,14 @@
 #
 
 [suite]
+update_expected = True
 test_duration = 60
 accepted_tolerance = '1%%'
 rxtx_queue_size = None
-
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/vf_l3fwd_lpm_ipv4_rfc2544_kernelpf.cfg b/conf/vf_l3fwd_lpm_ipv4_rfc2544_kernelpf.cfg
index 6d70acf3..a853afbf 100644
--- a/conf/vf_l3fwd_lpm_ipv4_rfc2544_kernelpf.cfg
+++ b/conf/vf_l3fwd_lpm_ipv4_rfc2544_kernelpf.cfg
@@ -4,10 +4,14 @@
 #
 
 [suite]
-test_duration = 60
+update_expected = True
+test_duration = 20
 accepted_tolerance = '1%%'
 rxtx_queue_size = None
-
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
diff --git a/conf/vf_l3fwd_lpm_ipv6_kernelpf.cfg b/conf/vf_l3fwd_lpm_ipv6_kernelpf.cfg
index 47c4a36f..1a6a8c94 100644
--- a/conf/vf_l3fwd_lpm_ipv6_kernelpf.cfg
+++ b/conf/vf_l3fwd_lpm_ipv6_kernelpf.cfg
@@ -4,10 +4,14 @@
 #
 
 [suite]
+update_expected = True
 test_duration = 60
 accepted_tolerance = '1%%'
 rxtx_queue_size = None
-
+l3fwd_wait_up = 2
+traffic_stop_wait_time = 2
+l3fwd_restart = False
+cores_for_all = True
 test_parameters = {
     '1C/1T-1Q': ['64', '128', '256', '512', '1024', '1280', '1518',],
     '1C/2T-2Q': ['64', '128', '256', '512', '1024', '1280', '1518',],