diff --git a/conf/vhost_dsa.cfg b/conf/vhost_dsa.cfg
new file mode 100644
index 00000000..4fcd0c07
--- /dev/null
+++ b/conf/vhost_dsa.cfg
@@ -0,0 +1,150 @@
+[suite]
+update_expected = True
+test_parameters = {'imix': [1024]}
+test_duration = 20
+accepted_tolerance = 2
+expected_throughput = {
+    'test_perf_pvp_split_ring_vhost_async_operation_test_with_each_tx_rx_queue_using_1_dpdk_driver': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_vhost_async_operation_test_with_dpdk_driver_being_shared_among_multi_tx_rx_queue': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_PA': {'imix': {1024: 0.000}},
+         'mergeable_PA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_dynamic_queues_vhost_async_operation_with_dpdk_driver': {
+         'inorder_mergeable_VA_4_queue': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1_queue_wo_dsa': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_4_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'non_mergeable_PA_4_queue_diff': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_vhost_async_operation_test_with_each_tx_rx_queue_using_1_dpdk_driver': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_vhost_async_operation_test_with_1_dpdk_driver_being_shared_among_multi_tx_rx_queue': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_dynamic_queues_vhost_async_operation_with_dpdk_driver': {
+         'inorder_mergeable_VA_4_queue': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1_queue_wo_dsa': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_4_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'non_mergeable_PA_4_queue_diff': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_vhost_async_operation_test_with_each_tx_rx_queue_using_1_kernel_driver': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_vhost_async_operation_test_with_1_kernel_driver_being_shared_among_multi_tx_rx_queue': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_dynamic_queue_vhost_async_operation_with_dsa_kernel_driver': {
+         'inorder_mergeable_VA_4_queue': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1_queue_wo_dsa': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_4_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff_1': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_vhost_async_operation_test_with_each_tx_rx_queue_using_1_dsa_kernel_driver': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_vhost_async_operation_test_with_1_kernel_driver_being_shared_among_multi_tx_rx_queue': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_PA': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_dynamic_queues_vhost_async_operation_with_dsa_kernel_driver': {
+         'inorder_mergeable_VA_4_queue': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1_queue_wo_dsa': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_4_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_8_queue_diff_1': {'imix': {1024: 0.000}},
+         'vectorized_path_not_power_of_2_VA_8_queue_diff': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_and_packed_ring_dynamic_queues_vhost_async_operation_with_dsa_dpdk_and_kernel_driver': {
+         'inorder_mergeable_VA_kernel_driver': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_dpdk_driver': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_kernel_dpdk_driver': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_kernel_dpdk_driver_packed': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_kernel_dpdk_driver_packed_diff': {'imix': {1024: 0.000}}}}