diff --git a/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg b/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg
new file mode 100644
index 00000000..10c82cde
--- /dev/null
+++ b/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg
@@ -0,0 +1,166 @@
+[suite]
+update_expected = True
+test_parameters = {64: [1024], 128: [1024], 256: [1024], 512: [1024], 1024: [1024], 1518: [1024]}
+test_duration = 60
+accepted_tolerance = 2
+expected_throughput = {
+	'test_perf_pvp_split_ring_inorder_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_inorder_non_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_non_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_vectorized_rx_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_inorder_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_inorder_non_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_non_mergeable_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_vectorized_idxd': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_inorder_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_inorder_non_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_non_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_split_ring_vectorized_rx_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_inorder_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_inorder_non_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_non_mergeable_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},
+	},
+	'test_perf_pvp_packed_ring_vectorized_vfio_pci': {
+		64: {1024: 0.00},
+		128: {1024: 0.00},
+		256: {1024: 0.00},
+		512: {1024: 0.00},
+		1024: {1024: 0.00},
+		1518: {1024: 0.00},}}
+